WriterPlsParserInternal::State Struct Reference

Internal: the state of a WriterPlsParser. More...

## Public Member Functions
| State ()
| constructor

## Public Attributes
int | m_actPage
| the actual page
int | m_numPages
| the number of page of the final document
WindowsInfo | m_windows [3]
| the information ( 0: main, 1: header, 2: footer)
int | m_headerHeight
| the header height if known
int | m_footerHeight
| the footer height if known

## Detailed Description

Internal: the state of a WriterPlsParser.

## Constructor & Destructor Documentation

## ◆ State()

WriterPlsParserInternal::State::State | ( |  | ) |
| inline

constructor

## Member Data Documentation

## ◆ m_actPage

int WriterPlsParserInternal::State::m_actPage

the actual page

Referenced by State().

## ◆ m_footerHeight

int WriterPlsParserInternal::State::m_footerHeight

the footer height if known

Referenced by State().

## ◆ m_headerHeight

int WriterPlsParserInternal::State::m_headerHeight

the header height if known

Referenced by State().

## ◆ m_numPages

int WriterPlsParserInternal::State::m_numPages

the number of page of the final document

Referenced by State().

## ◆ m_windows

WindowsInfo WriterPlsParserInternal::State::m_windows[3]

the information ( 0: main, 1: header, 2: footer)

The documentation for this struct was generated from the following file:

- WriterPlsParser.cxx